Subject: Re: Cuca Records Video..scroll down four.
From: "Mary Schweitzer" <[email-masked]>
To: "Jim Kirchstein" <[email-masked]>
Date: Sun, 15 Jul 2012 23:28:38 -0500

For some reason or other I could only get the first picture to come up last night, everything worked great tonight and I'll have to show Dave when he gets home from work later.  Appreciate your thinking of sending it to us.

Jim, don't ever, ever, ever cut yourself short on how valuable you have been to ADS.  You above everyone else has contributed the most.  Dave and I know this in our heart of hearts.  We also feel that Henry has worked very hard at giving of himself in whatever way he was able. I would be glad to resign if he would return.

I never got to know Augie but do feel that anyone who can create beautiful paintings with words for all to grow from and enjoy cannot be bad.  I have never put too much faith in anything Dr. George has had to say. Don't you think he's just upset that he's created such a mess for himself.

Let'e hope that Tracey can pull things together for the Society. If anyone can, he can.

Try to stay cool.

Regards from Dave and I

  ----- Original Message ----- 
  From: Jim Kirchstein 
  To: ADS Mary and David 
  Sent: Saturday, July 14, 2012 5:34 PM
  Subject: Cuca Records Video..scroll down four.

  http://saukprairiehistory.org/index.php?option=com_content&view=category&layout=blog&id=62&Itemid=75